> For the complete documentation index, see [llms.txt](https://docs.metadium.com/ko/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.metadium.com/ko/api-reference/json-rpc.md).

# Json-RPC

노드를 설치하지 않고도 RPC 서버를 통해서 블록체인 정보를 읽고 트랜잭션을 보낼 수 있습니다. RPC 서버는 점검 혹은 장애가 발생하지 않는 경우 상시 운영됩니다.

* 메타디움 API를 이용하기 위한 스펙은 [Ethereum API](https://github.com/ethereum/execution-apis) 스펙과 동일합니다.
* 메타디움은 공개된 End Node에 Json-RPC 사양을 구현하여, dApp이 직접 온체인을 사용할 수 있는 메소드 집합을 제공합니다. 또한 [Ethereum Json-RPC API](https://ethereum.org/en/developers/docs/apis/json-rpc/)와 동일한 Json(RFC 4627) 표준데이터 형식을제공합니다.&#x20;

<table><thead><tr><th width="152">네트워크</th><th>유형</th><th>주소</th></tr></thead><tbody><tr><td>Mainnet</td><td>HTTP(HTTPS) server endpoint</td><td>https://api.metadium.com/prod</td></tr><tr><td>Mainnet</td><td>WS(WSS) server endpoint</td><td>wss://ws.metadium.com/prod</td></tr><tr><td>Testnet</td><td>HTTP(HTTPS) server endpoint</td><td>https://api.metadium.com/dev</td></tr><tr><td>Testnet</td><td>WS(WSS) server endpoint</td><td>wss://ws.metadium.com/dev</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.metadium.com/ko/api-reference/json-rpc.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
